com.pixelmed.dicom

## Class StructuredReportTreeBrowser

- java.lang.Object
- - com.pixelmed.dicom.StructuredReportTreeBrowser

-     public class StructuredReportTreeBrowser
      extends java.lang.Object

  The `StructuredReportTreeBrowser` class implements a Swing graphical user interface to browse the contents of a `StructuredReport`.

  A main() method is provided for testing and as a utility that reads a DICOM SR file and displays it as a tree of content items.

  See Also:
    `StructuredReportBrowser`, `AttributeTreeBrowser`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructuredReportTreeBrowser(AttributeList list, javax.swing.JScrollPane treeBrowserScrollPane)` Build and display a graphical user interface view of a tree of attributes.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] arg)` For testing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StructuredReportTreeBrowser

          public StructuredReportTreeBrowser(AttributeList list,
                                             javax.swing.JScrollPane treeBrowserScrollPane)
                                      throws DicomException

      Build and display a graphical user interface view of a tree of attributes.

      Implicitly builds a tree from the SR attribute list.

      Parameters:
        `list` - the list whose attributes to browse
        `treeBrowserScrollPane` - the scrolling pane in which the tree view of the attributes will be rendered
      Throws:
        `DicomException`

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] arg)

      For testing.

      Displays an SR tree browser built from the attributes in the file named on the command line.

      Parameters:
        `arg` -